/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../../libs.h"

#define GRID_COLUMN_ROWS 100
#define GRID_COLUMN_ROWS_SIZE 0.1

#define GRID_VERTICE_COUNT (GRID_COLUMN_ROWS+1) * (GRID_COLUMN_ROWS+1) * 3
#define GRID_INDICE_COUNT GRID_COLUMN_ROWS * GRID_COLUMN_ROWS * 8

typedef struct {
  GLuint vertexBuffer;
  GLuint indexBuffer;
} griddebug_t;