/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */
#include "holdemgame.h"

holdemgame_t HOLDEM_GAME_STATE;

void holdemGameInit() {
  // Prepare the renderer.
  holdemRenderInit();

  // Prepare the action manager
  holdemActionInit();

  // Start the first action
  holdemActionAdd(actionStart());
}

void holdemGameUpdate() {
  holdemActionUpdate();
  holdemRender();
}

void holdemGameDispose() {
  holdemActionDispose();
}