/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "deal.h"

holdemaction_t actionDeal() {
  return (holdemaction_t){
    .init = &actionDealInit,
    .update = &actionDealUpdate,
    .dispose = &actionDealDispose
  };
}

void actionDealInit(int32_t i, void *data) {
  logText("Dealing Cards");
  holdemDealAll(&HOLDEM_GAME_STATE.match, HOLDEM_PLAYER_HAND);
  holdemActionRemove(i);
}

void actionDealUpdate(int32_t i, void *data) {

}

void actionDealDispose(int32_t i, void *data) {
  int32_t newI = holdemActionAdd(actionAi());
}